Newegg Developer Portal

Update Repricer Strategy

Updates an existing repricer strategy by its ID.

This operation is designed for Newegg.com and Newegg.ca.

Resource URL

Newegg.com: https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/strategy/update/{strategyid}?sellerid={sellerid}
Newegg.ca:  https://api.newegg.com/marketplace/can/contentmgmt/item/repricer/strategy/update/{strategyid}?sellerid={sellerid}

Note: Please make sure your request URL is all in lower case (except for Seller ID) and cannot contain any blank spaces or line breaks.

Parameters

Name Required? Description
strategyId Yes Primary key of the strategy to update.
sellerId Yes Seller ID, used for authentication.
name Yes Strategy name. Cannot exceed 100 characters and cannot be repeated.
beatByStep Yes Price adjustment step value. When stepUnit is P (Percent): must be an integer between 0 and 100. When stepUnit is F (Fixed amount): must be greater than 0 and supports up to 2 decimal places.
stepUnit Yes Step unit: P (Percent) or F (Fixed amount).
status Yes Strategy status: A (Active) or P (Paused).

Resource Information

HTTP Method Authentication? Request Formats Response Formats Rate Limited? Maximum Size of Request
PUT Required XML, JSON XML, JSON 500 requests per hour

Request Body

Example: XML, Request

PUT https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/strategy/update/{strategyid}?sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/xml
Accept: application/xml

<NeweggAPIRequest>
    <OperationType>UpdateRepricerStrategy</OperationType>
    <RequestBody>
        <Name>test strategy</Name>
        <BeatByStep>0.01</BeatByStep>
        <StepUnit>F</StepUnit>
        <Status>A</Status>
    </RequestBody>
</NeweggAPIRequest>

Example: Json, Request

PUT https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/strategy/update/{strategyid}?sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/json
Accept: application/json

{
    "name": "test strategy",
    "beatByStep": 0.01,
    "stepUnit": "F",
    "status": "A"
}

Response Body

Attribute Format Description
IsSuccess Boolean Get feed status operation:

True: Successful

False: Not successful

SellerID String Your seller ID
OperationType String Fixed value: UpdateRepricerStrategy
ResponseDate String Your response date time (Pacific Standard Time)
ResponseBody Boolean true if the operation completed successfully.

Example: XML, Response

<?xml version="1.0" encoding="utf-8"?>
<NeweggAPIResponse>
    <IsSuccess>true</IsSuccess>
    <SellerID>A2GS</SellerID>
    <OperationType>UpdateRepricerStrategy</OperationType>
    <ResponseDate>2026-06-27T14:01:16.8854131+08:00</ResponseDate>
    <ResponseBody>true</ResponseBody>
</NeweggAPIResponse>

Example: Json, Response

{
    "ResponseBody": true,
    "IsSuccess": true,
    "OperationType": "UpdateRepricerStrategy",
    "SellerID": "A2GS",
    "ResponseDate": "2026-06-27T14:01:16.8854131+08:00"
}

Request Failure Errors

Error Code Description
InvalidToken Illegal secret key.
— The provided SellerId is null.

Example: XML, Response

<?xml version="1.0" encoding="utf-8"?>
<Errors>
    <Error>
        <Code>InvalidToken</Code>
        <Message>Illegal secret key.</Message>
    </Error>
</Errors>

Example: Json, Response

[
    {
        "Code": "InvalidToken",
        "Message": "Illegal secret key."
    }
]

Last updated: July 13, 2026